org.codehaus.groovy.tools.shell.util

## Class Logger

- java.lang.Object
- - org.codehaus.groovy.tools.shell.util.Logger

-     public final class Logger
      extends Object

  Provides a very, very basic logging API.
  Version:
    $Id: Logger.java 18634 2009-12-12 12:04:57Z paulk $
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IO` | `io`
    `String` | `name`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `create(Class type)`
    `static Logger` | `create(Class type, String suffix)`
    `void` | `debug(Object msg)`
    `void` | `debug(Object msg, Throwable cause)`
    `void` | `error(Object msg)`
    `void` | `error(Object msg, Throwable cause)`
    `boolean` | `isDebug()`
    `boolean` | `isDebugEnabled()`
    `void` | `warn(Object msg)`
    `void` | `warn(Object msg, Throwable cause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### io

          public static IO io

    - #### name

          public final String name

  - ### Method Detail

    - #### isDebugEnabled

          public boolean isDebugEnabled()

    - #### isDebug

          public boolean isDebug()

    - #### debug

          public void debug(Object msg)
                     throws Exception

      Throws:
        `Exception`

    - #### debug

          public void debug(Object msg,
                   Throwable cause)
                     throws Exception

      Throws:
        `Exception`

    - #### warn

          public void warn(Object msg)
                    throws Exception

      Throws:
        `Exception`

    - #### warn

          public void warn(Object msg,
                  Throwable cause)
                    throws Exception

      Throws:
        `Exception`

    - #### error

          public void error(Object msg)
                     throws Exception

      Throws:
        `Exception`

    - #### error

          public void error(Object msg,
                   Throwable cause)
                     throws Exception

      Throws:
        `Exception`

    - #### create

          public static Logger create(Class type)

    - #### create

          public static Logger create(Class type,
                      String suffix)